> ## Documentation Index
> Fetch the complete documentation index at: https://docs.exec.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get workspace info

> Returns basic information about the authenticated workspace.



## OpenAPI

````yaml /api-reference/openapi.yaml get /workspace
openapi: 3.0.3
info:
  title: Exec API
  version: '1.0'
  description: >
    REST API for programmatic access to your Exec workspace.


    Use the Exec API to read workspace data, list members, retrieve group
    information,

    and create interactive scenario creation sessions.


    ## Authentication

    All requests require a valid API key passed in the Authorization header:

    ```

    Authorization: Bearer exec_live_...

    ```


    Create API keys in your workspace settings under **Settings > API**.
servers:
  - url: https://api.exec.com/rest/v1
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Knowledge Hub - Folders
    x-group: Knowledge Hub
  - name: Knowledge Hub - Pages
    x-group: Knowledge Hub
  - name: Knowledge Hub - Sources
    x-group: Knowledge Hub
paths:
  /workspace:
    get:
      tags:
        - Workspace
      summary: Get workspace info
      description: Returns basic information about the authenticated workspace.
      operationId: getWorkspace
      responses:
        '200':
          description: Workspace information
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Workspace'
              example:
                id: a1b2c3d4e5f6
                name: Acme Corp
                url_slug: acme-corp
                created_at: '2024-01-15T10:30:00Z'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
components:
  schemas:
    Workspace:
      type: object
      properties:
        id:
          type: string
          description: Unique workspace identifier
        name:
          type: string
          description: Workspace display name
        url_slug:
          type: string
          description: URL-friendly workspace identifier
        created_at:
          type: string
          format: date-time
          description: When the workspace was created
    ValidationErrorDetail:
      type: object
      properties:
        error:
          type: object
          properties:
            type:
              type: string
              description: Error category (e.g., "invalid_request")
            code:
              type: string
              description: Specific error code (e.g., "user_not_found")
            message:
              type: string
              description: Human-readable error message
  responses:
    Unauthorized:
      description: Missing or invalid API key
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ValidationErrorDetail'
          example:
            error:
              type: authentication_error
              code: invalid_api_key
              message: Invalid or inactive API key
    Forbidden:
      description: Workspace is inactive
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ValidationErrorDetail'
          example:
            error:
              type: authorization_error
              code: workspace_inactive
              message: Workspace is inactive
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: |
        API key created in Settings > API.

        Format: `exec_live_` followed by 40 alphanumeric characters.

````